part of 'application.dart';

class _AppBindingObserver extends WidgetsBindingObserver {
  final _ApplicationImplState _app;

  _AppBindingObserver(this._app);

  @override
  void didChangeMetrics() => _app.isInputMethodVisible.value = WidgetsBinding.instance!.window.viewInsets.bottom > 0;

  @override
  Future<bool> didPopRoute() => Future<bool>.value(true);

  @override
  Future<bool> didPushRoute(String route) => Future<bool>.value(true);

  @override
  void didChangeAppLifecycleState(AppLifecycleState state) => _app.lifecycle.value = state;
}
