import 'dart:convert';
import 'dart:html'; // ignore: avoid_web_libraries_in_flutter

import 'package:flutter/services.dart';
import 'package:flutterx_application/flutterx_application.dart';

void die() {
  SystemNavigator.pop();
  window.open('about:blank', '_self').close(); // ignore: unsafe_html
}

RouteArgs? parseRouteInformationState(String id) {
  final data = window.sessionStorage[id];
  return data != null ? jsonDecode(data) : null;
}

void restoreRouteInformationState(String path, RouteArgs args) {
  if (args.isEmpty) return;
  window.sessionStorage[path] = jsonEncode(args);
}

List<String>? parseRouteStack() {
  final data = window.sessionStorage['_stack_'];
  return data != null ? (jsonDecode(data) as List).cast<String>() : null;
}

void restoreRouteStack(List<String> locations) {
  if (locations.isEmpty) return;
  window.sessionStorage['_stack_'] = jsonEncode(locations);
}
